# Uses of Interface
com.sun.source.tree.AnnotatedTypeTree

Packages that use AnnotatedTypeTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of AnnotatedTypeTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type AnnotatedTypeTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitAnnotatedType​(AnnotatedTypeTree node, P p)`
Visits an AnnotatedTypeTree node.

## Uses of AnnotatedTypeTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type AnnotatedTypeTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitAnnotatedType​(AnnotatedTypeTree node, P p)`
Visits an AnnotatedTypeTree node.
`R`
TreeScanner.`visitAnnotatedType​(AnnotatedTypeTree node, P p)`
Visits an AnnotatedTypeTree node.